## Packaging

This packaging runs in a [Vagrant Environment](https://www.vagrantup.com/)


```
vagrant up --provision
```

### Setting up the ansible internally

```
ansible-galaxy install --roles-path `pwd`/tests/roles rvm.ruby
```

### Bulding the package

```
sudo su -
gem install fpm

mkdir -p /tmp/redisraft
cd /home/redis/redis

make PREFIX=/tmp/redisraft/usr/local install
mkdir -p /tmp/redisraft/usr/local/share/redisraft
cp /home/redis/redisraft/redisraft.so /tmp/redisraft/usr/local/share/redisraft
cp /vagrant/systemd_redis.example /tmp/redisraft/usr/local/share/redisraft
cp /vagrant/setup-raft-cluster /tmp/redisraft/usr/local/share/redisraft
cp /vagrant/misc/failover_timer /tmp/redisraft/usr/local/bin

fpm -s dir -t rpm -n redisraft -v 0.0.3  -p redisraft_VERSION_ARCH.rpm --after-install /vagrant/post_install.sh /tmp/redisraft/usr/local/bin=usr/local /tmp/redisraft/usr/local/share=usr/local
mv *.rpm /vagrant

```

### Starting a service

Starting a service:

```
cp /usr/local/share/redisraft/systemd_redis.example /lib/systemd/system/redis-19901.service
vi the file and change the IP address
systemctl daemon-reload
systemctl enable redis-19901.service
systemctl start redis-19901.service
systemctl status redis-19901.service
```


### Setting up a full cluster example

Modify the following file to match your infra

```
/usr/local/share/redisraft/setup-raft-cluster
```
